Loading...
Searching...
No Matches
XrdXrootd::gdCallBack Class Referenceabstract

`#include <XrdXrootdProtocol.hh>`

Inheritance diagram for XrdXrootd::gdCallBack:
Collaboration diagram for XrdXrootd::gdCallBack:

## Public Member Functions

| gdCallBack ()
virtual | ~gdCallBack ()
virtual int | gdDone ()=0
virtual void | gdFail ()

## Detailed Description

Definition at line 110 of file XrdXrootdProtocol.hh.

## Constructor & Destructor Documentation

## gdCallBack()

XrdXrootd::gdCallBack::gdCallBack | ( |  | ) |

inline

Definition at line 128 of file XrdXrootdProtocol.hh.

{}

## ~gdCallBack()

virtual XrdXrootd::gdCallBack::~gdCallBack | ( |  | ) |

inline virtual

Definition at line 129 of file XrdXrootdProtocol.hh.

{}

## Member Function Documentation

## gdDone()

virtual int XrdXrootd::gdCallBack::gdDone | ( |  | ) |

pure virtual

## gdFail()

virtual void XrdXrootd::gdCallBack::gdFail | ( |  | ) |

inline virtual

Definition at line 126 of file XrdXrootdProtocol.hh.

{} // Called when a link failure occurs

The documentation for this class was generated from the following file:

- XrdXrootdProtocol.hh